package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description:
 * @Author: yuhui
 * @Time: 2024/9/14 15:40
 * @Classname: HeaderStatus
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum HeaderStatus {

    /**
     * 0=已更新
     */
    RENEW(0, "已更新"),

    /**
     * 1=更新中
     */
    UPDATING(1, "更新中"),

    /**
     * 未更新
     */
    NOTUPDATING(2, "未更新"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

    /**
     * 根据枚举值获取枚举
     *
     * @param val
     * @return
     */
    public static HeaderStatus getEnumByValue(int val) {
        for (HeaderStatus value : HeaderStatus.values()) {
            if (value.getValue() == val) {
                return value;
            }
        }
        return null;
    }
}
